// CPhotoPostShader - [2020-04-13 11:57:47]
#ifndef _CPHOTOPOSTSHADER_H_
#define _CPHOTOPOSTSHADER_H_

#include "common.h"
#include "CFTTUberShader.h"

/*
001CFF54 CPhotoPostShader::CPhotoPostShader()
001CFF60 CPhotoPostShader::~CPhotoPostShader()
001E731C CPhotoPostShader::SetColour(CFTTVector32 const&)
001E7328 CPhotoPostShader::SetFilter(EPhotoPostShader_Filter)
001E733A CPhotoPostShader::SetBrightness(float)
001E734C CPhotoPostShader::SetContrast(float)
001E735E CPhotoPostShader::SetSaturation(float)
001E7370 CPhotoPostShader::SetVignette(float)
001CFF64 CPhotoPostShader::CreateMat()
*/

enum EPhotoPostShader_Filter {
  EPhotoPostShader_Filter_0,
  EPhotoPostShader_Filter_1,
  EPhotoPostShader_Filter_2,
  EPhotoPostShader_Filter_3,
  EPhotoPostShader_Filter_4,
  EPhotoPostShader_Filter_5,
};

class CPhotoPostShader : public CFTTUberShader {
public:
  CPhotoPostShader();                       // 001CFF54
  ~CPhotoPostShader();                      // 001CFF60
  void SetColour(CFTTVector32 const&);      // 001E731C
  void SetFilter(EPhotoPostShader_Filter);  // 001E7328
  void SetBrightness(float);                // 001E733A
  void SetContrast(float);                  // 001E734C
  void SetSaturation(float);                // 001E735E
  void SetVignette(float);                  // 001E7370
  ushort CreateMat();                       // 001CFF64

  static CPhotoPostShader s_tInstance;
};

#endif  //_CPHOTOPOSTSHADER_H_